/*
* LCD 3310 scroll.c
*
* Created: 31.12.2023 20:19:58
* Author : amart
*/

#define F_CPU 8000000UL
#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <util/atomic.h>
#include <stdbool.h>
#include <stdint.h>
#include <inttypes.h>
#include <stdlib.h>
#include "n5110.h"


//-------------------------------------------------------------------------------------------------------------------------
void displey_start(void)							//   B  ,      
{
	DDRB  &= ~((1<<PINB1) | (1<<PINB2) | (1<<PINB3) | (1<<PINB4) | (1<<PINB5));
	PORTB = 0x00;
	Lcd_init();
	Lcd_clear();
	Lcd_update();
	LcdContrast(62);
}


int main(void)
{
	displey_start(); //  
	
	while (1)
	{
		int stroka; //      
		int d; //     

		if (d<65632) d++;
		if (d++) stroka++;
		if(stroka>=6) stroka=0;
		
		
		//     d     
		Lcd_clear();
		char buff[20];
		itoa(d, buff, 10);
		Lcd_print(0, stroka, FONT_1X,(unsigned char *)buff);
		Lcd_update();
		_delay_ms(200);

	}
}

